"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _classCallCheck2 = _interopRequireDefault(require("@babel/runtime/helpers/classCallCheck"));
var _createClass2 = _interopRequireDefault(require("@babel/runtime/helpers/createClass"));
var _async = _interopRequireDefault(require("../../../../async"));
var AsyncClient = /*#__PURE__*/function () {
  function AsyncClient() {
    (0, _classCallCheck2["default"])(this, AsyncClient);
    this.asyncClient = null;
  }
  (0, _createClass2["default"])(AsyncClient, [{
    key: "init",
    value: function init() {
      var params = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};
      this.asyncClient = new _async["default"]({
        appId: params.appId,
        protocol: params.protocol,
        servers: params.queueServers,
        queueReceive: params.queueReceive,
        queueSend: params.queueSend,
        queueConnectionTimeout: params.queueConnectionTimeout,
        socketAddress: params.socketAddress,
        serverName: params.serverName,
        deviceId: params.deviceId,
        wsConnectionWaitTime: params.wsConnectionWaitTime,
        connectionRetryInterval: params.connectionRetryInterval,
        connectionCheckTimeout: params.connectionCheckTimeout,
        connectionCheckTimeoutThreshold: params.connectionCheckTimeoutThreshold,
        messageTtl: params.messageTtl,
        reconnectOnClose: params.reconnectOnClose,
        asyncLogging: params.asyncLogging,
        logLevel: params.consoleLogging ? 3 : 1,
        asyncLogCallback: params.asyncLogCallback || null
      });
    }
  }, {
    key: "send",
    value: function send() {
      this.asyncClient.send();
    }
  }]);
  return AsyncClient;
}();
var _default = AsyncClient;
exports["default"] = _default;