import {StoreEvents} from "./eventEmitter";
import {SDKUser} from "./user";
import {ThreadsList} from "./threads";

function Store(app) {
    return {
        threads: new ThreadsList(app),
        events: new StoreEvents(),
        user: new SDKUser(app),
        threadCallbacks: {},
        sendMessageCallbacks: {},
        messagesCallbacks: {},
        asyncRequestTimeouts: {},
        httpRequestObject: {},
        chatSendQueue: [],
        chatUploadQueue: [],
        chatWaitQueue: []
    }
}

export {Store}