"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Store = Store;
var _eventEmitter = require("./eventEmitter");
var _user = require("./user");
var _threads = require("./threads");
function Store(app) {
  return {
    threads: new _threads.ThreadsList(app),
    events: new _eventEmitter.StoreEvents(),
    user: new _user.SDKUser(app),
    threadCallbacks: {},
    sendMessageCallbacks: {},
    messagesCallbacks: {},
    asyncRequestTimeouts: {},
    httpRequestObject: {},
    chatSendQueue: [],
    chatUploadQueue: [],
    chatWaitQueue: []
  };
}